Crystal Space: iLightingProcessInfo Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightingProcessInfo Struct Reference
[Lighting]

The iLightingProcessInfo interface holds information for the lighting system. More...

`#include <iengine/light.h>`

Inheritance diagram for iLightingProcessInfo:

[legend]
List of all members.

## Public Member Functions
virtual void | AttachUserdata (iLightingProcessData *userdata)=0
| Attach some userdata to the process info.
virtual void | FinalizeLighting ()=0
| Finalize lighting.
virtual const csColor & | GetColor () const =0
| Get the current color.
virtual iLight * | GetLight () const =0
| Get the light.
virtual bool | IsDynamic () const =0
| Return true if dynamic.
virtual csPtr< iLightingProcessData > | QueryUserdata (scfInterfaceID id, int version)=0
| Query for userdata based on SCF type.
virtual void | SetColor (const csColor &col)=0
| Set the current color.

## Detailed Description

The iLightingProcessInfo interface holds information for the lighting system.

You can query the userdata from iFrustumView for this interface while in a 'portal' callback. This way you can get specific information from the lighting system for your null-portal.

Definition at line 480 of file light.h.

## Member Function Documentation

virtual void iLightingProcessInfo::AttachUserdata | ( | iLightingProcessData * | userdata | ) | `[pure virtual]`

Attach some userdata to the process info.

You can later query for this by doing QueryUserdata() with the correct SCF version number.

virtual void iLightingProcessInfo::FinalizeLighting | ( |  | ) | `[pure virtual]`

Finalize lighting.

This function is called by the lighting routines after performing CheckFrustum(). It will call FinalizeLighting() on all user datas.

virtual const csColor& iLightingProcessInfo::GetColor | ( |  | ) | const`[pure virtual]`

Get the current color.

virtual iLight* iLightingProcessInfo::GetLight | ( |  | ) | const`[pure virtual]`

Get the light.

virtual bool iLightingProcessInfo::IsDynamic | ( |  | ) | const`[pure virtual]`

Return true if dynamic.

virtual csPtr<iLightingProcessData> iLightingProcessInfo::QueryUserdata | ( | scfInterfaceID | id,
|  | int | version |
| ) |  |  | `[pure virtual]`

Query for userdata based on SCF type.

virtual void iLightingProcessInfo::SetColor | ( | const csColor & | col | ) | `[pure virtual]`

Set the current color.

The documentation for this struct was generated from the following file:

- iengine/light.h